%define upstream_name    boolean
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Boolean support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildArch:  noarch

Provides:   perl(boolean)

%description
Most programming languages have a native 'Boolean' data type. Perl does
not.

Perl has a simple and well known Truth System. The following scalar values
are false:

    $false1 = undef;
    $false2 = 0;
    $false3 = 0.0;
    $false4 = '';
    $false5 = '0';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 516318
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 375397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 148301
- update to 0.28

* Thu Jun 30 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 116450
- update to 0.27

* Sat Jun 11 2011 spuhler <spuhler> 0.260.0-2.mga2
+ Revision: 104032
- increase rel for rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 52289
- update to 0.26

* Tue Jan 18 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 22035
- cleaning spec file
- imported package perl-boolean

